      function cndlhe(dens,t,gamma)
*
* this function returns the (helium) thermal conductivity computed for a
* specific dens, temp, and gamma using the results if itoh et al (1983)
* for the liquid metal regime.
*
      implicit double precision (a-z)
 
      common /hedatl/ a(4), b(3), c(3), d(4), e(3), f(3)
 
      data at /4./
*
*  the following data from itoh et al. are for helium (z=2) 
*
      t8 = 10.**(t - 8.)
      d6 = 10.**(dens - 6. )
      d6mu = d6 / 2.
      d6mu23 = d6mu**(2./3.)
 
      rs    = 1.388e-02 / d6mu**(1./3.) 
 
      x = 0.45641 * dlog( gamma ) - 1.31636
      x2 = x*x
      x3 = x2 * x
 
      asum = a(1) + a(2) * x + a(3) * x2 + a(4) * x3
      bsum = b(1) + b(2) * x + b(3) * x2
      csum = c(1) + c(2) * x + c(3) * x2
      dsum = d(1) + d(2) * x + d(3) * x2 + d(4) * x3
      esum = e(1) + e(2) * x + e(3) * x2
      fsum = f(1) + f(2) * x + f(3) * x2
 
      sminus1 = asum * ( 1. + bsum * rs + csum * rs*rs )
      splus1  = dsum * ( 1. + esum * rs + fsum * rs*rs )
 
      cstd6  = 1.018 * d6mu23 
      tmpsum = 1. + cstd6
      s = sminus1 - splus1 * cstd6 / tmpsum
 
      opacity = 2.363e+17 * d6 * t8 / ( at * tmpsum * s )
      cndlhe = dlog10( opacity )
 
      return
      end 

************************************************************************

